hledger-lib-1.19.1: A reusable library providing the core functionality of hledger

Safe Haskell | Safe
Language | Haskell2010

Hledger.Utils.Tree

Synopsis

- newtype FastTree a = T (Map a (FastTree a))
- treeFromPaths :: Ord a => [[a]] -> FastTree a

# Documentation

newtype FastTree a Source #

An efficient-to-build tree suggested by Cale Gibbard, probably better than accountNameTreeFrom.

Constructors

T (Map a (FastTree a)) |

#### Instances

Instances details

Eq a => Eq (FastTree a) Source # |
Instance details Defined in Hledger.Utils.Tree Methods (==) :: FastTree a -> FastTree a -> Bool Source # (/=) :: FastTree a -> FastTree a -> Bool Source #
Ord a => Ord (FastTree a) Source # |

Instance details

Defined in Hledger.Utils.Tree

Methods

compare :: FastTree a -> FastTree a -> Ordering Source #

(<) :: FastTree a -> FastTree a -> Bool Source #

(<=) :: FastTree a -> FastTree a -> Bool Source #

(>) :: FastTree a -> FastTree a -> Bool Source #

(>=) :: FastTree a -> FastTree a -> Bool Source #

max :: FastTree a -> FastTree a -> FastTree a Source #

min :: FastTree a -> FastTree a -> FastTree a Source #

Show a => Show (FastTree a) Source # |
Instance details Defined in Hledger.Utils.Tree Methods showsPrec :: Int -> FastTree a -> ShowS Source # show :: FastTree a -> String Source # showList :: [FastTree a] -> ShowS Source #

treeFromPaths :: Ord a => [[a]] -> FastTree a Source #